' RemoveZoneID.VBS V1.02 (C) yoshioka.teruo@nifty.com 2006-03-21
' RemoveZoneID.VBS removes ZoneID of file.
' Usage: Start RemoveZoneID.VBS {files|folders}...

Option Explicit
Dim fso
Dim wShell
Dim Shell
Dim Path

Set fso=CreateObject("Scripting.FileSystemObject")
Set wShell=CreateObject("WScript.Shell") 
Set Shell=CreateObject("Shell.Application") 
For Each Path In WScript.Arguments
  If fso.FileExists(Path) Then
    FileProc fso.GetFile(Path)
  ElseIf fso.FolderExists(Path) Then
    FolderProc fso.GetFolder(Path)
  Else
    WScript.Echo "File not found."&vbLf&Path
    WScript.Quit
  End If
Next
Set Shell=Nothing
WScript.Quit

Sub FolderProc(Folder)
Dim SubFolder
Dim File

For Each SubFolder In Folder.SubFolders
  FolderProc SubFolder
Next
For Each File In Folder.Files
  FileProc File
Next
End Sub

Sub FileProc(File)
Dim Path
Dim FolderItem
Dim ModifyDate
Const ReadOnly=1

Path=File.Path&":Zone.Identifier"
If fso.FileExists(Path) Then
  Set FolderItem=Shell.NameSpace(File.ParentFolder.Path).ParseName(File.Name)
  ModifyDate=FolderItem.ModifyDate
  If File.Attributes And ReadOnly Then
    File.Attributes=File.Attributes And Not ReadOnly
    fso.OpenTextFile(Path,2,True).WriteLine "[ZoneTransfer]"&vbCrLf&"ZoneId=4"
    File.Attributes=File.Attributes Or ReadOnly
  Else
    fso.OpenTextFile(Path,2,True).WriteLine "[ZoneTransfer]"&vbCrLf&"ZoneId=4"
  End If
  FolderItem.ModifyDate=ModifyDate
  Call FolderItem.InvokeVerb("vpeB(&R)")
  Do While Not wShell.AppActivate(FolderItem&"̃vpeB")
    WScript.Sleep 100
  Loop
  WScript.Sleep 100
  Call wShell.SendKeys("%k%a{ESC}")
  Set FolderItem=Nothing
  Do While fso.FileExists(Path)
    WScript.Sleep 100
  Loop
End If
End Sub
