' FindZoneID.VBS V1.02 (C) yoshioka.teruo@nifty.com 2006-03-21
' FindZoneID.VBS finds files with ZoneID NTFS stream in folders.
' Usage: Start FindZoneID.VBS folders... [>stdout]

Option Explicit
Dim fso
Dim Rows
Dim Path

Set fso=CreateObject("Scripting.FileSystemObject")
Rows=Array()
For Each Path In WScript.Arguments
  Call FolderProc(fso.GetFolder(Path))
Next
If WScript.Arguments.Count=0 Then
  Path=CreateObject("Shell.Application").Windows().Item.Document.Folder.Self.Path 
  Call FolderProc(fso.GetFolder(Path))
End If
If UBound(Rows)+1 Then WScript.Echo Join(Rows,vbLf)
WScript.Quit

Sub FolderProc(Folder)
Dim SubFolder
Dim File
For Each SubFolder In Folder.SubFolders
  Call FolderProc(SubFolder)
Next
For Each File In Folder.Files
  Call FileProc(File)
Next
End Sub

Sub FileProc(File)
Dim TextFile

If fso.FileExists(File.Path&":Zone.Identifier") Then
  Set TextFile=fso.OpenTextFile(File.Path&":Zone.Identifier")
  TextFile.ReadLine
  Push Rows,Join(Array(TextFile.ReadLine,File.Path),vbTab)
  If UBound(Rows)>20 Then
    WScript.Echo Join(Rows,vbLf)
    Rows=Array()
  End If
End If
End Sub

Sub Push(Items,item)
ReDim Preserve Items(UBound(Items)+1)
Items(UBound(Items))=Item
End Sub
